## com.google.javascript.rhino.jstype
Class SimpleReference<T extends StaticSlot<JSType>>

    java.lang.Object
      com.google.javascript.rhino.jstype.SimpleReference<T>

All Implemented Interfaces:
  StaticReference<JSType>

Direct Known Subclasses:
  SymbolTable.Reference

    public class SimpleReference<T extends StaticSlot<JSType>>

extends Object
implements StaticReference<JSType>

A simple immutable reference.

Constructor Summary
`SimpleReference(T symbol, Node node)`

Method Summary
`Node` | `getNode()` The node where the reference lives.
`StaticSourceFile` | `getSourceFile()` The source file where the reference lives.
`T` | `getSymbol()` The variable that this reference points to.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleReference

    public SimpleReference(T symbol,
                           Node node)

Method Detail

### getSymbol

    public final T getSymbol()

  Description copied from interface: `StaticReference`
  The variable that this reference points to.

  Specified by:
    `getSymbol` in interface `StaticReference<JSType>`

### getNode

    public final Node getNode()

  Description copied from interface: `StaticReference`
  The node where the reference lives.

  Specified by:
    `getNode` in interface `StaticReference<JSType>`

### getSourceFile

    public final StaticSourceFile getSourceFile()

  Description copied from interface: `StaticReference`
  The source file where the reference lives.

  Specified by:
    `getSourceFile` in interface `StaticReference<JSType>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`